SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SLNet::RakNetStatistics Struct Reference

Network Statisics Usage. More...

`#include <slikenet/statistics.h>`

## Public Member Functions

RakNetStatistics & | operator+= (const RakNetStatistics &other)

## Public Attributes

uint64_t | valueOverLastSecond [RNS_PER_SECOND_METRICS_COUNT]
| For each type in RNSPerSecondMetrics, what is the value over the last 1 second?
uint64_t | runningTotal [RNS_PER_SECOND_METRICS_COUNT]
| For each type in RNSPerSecondMetrics, what is the total value over the lifetime of the connection?
SLNet::TimeUS | connectionStartTime
bool | isLimitedByCongestionControl
uint64_t | BPSLimitByCongestionControl
| If isLimitedByCongestionControl is true, what is the limit, in bytes per second?
bool | isLimitedByOutgoingBandwidthLimit
| Is our current send rate throttled by a call to RakPeer::SetPerConnectionOutgoingBandwidthLimit()?
uint64_t | BPSLimitByOutgoingBandwidthLimit
| If isLimitedByOutgoingBandwidthLimit is true, what is the limit, in bytes per second?
unsigned int | messageInSendBuffer [NUMBER_OF_PRIORITIES]
| For each priority level, how many messages are waiting to be sent out?
double | bytesInSendBuffer [NUMBER_OF_PRIORITIES]
| For each priority level, how many bytes are waiting to be sent out?
unsigned int | messagesInResendBuffer
uint64_t | bytesInResendBuffer
| How many bytes are waiting in the resend buffer. See also messagesInResendBuffer.
float | packetlossLastSecond
| Over the last second, what was our packetloss? This number will range from 0.0 (for none) to 1.0 (for 100%)
float | packetlossTotal
| What is the average total packetloss over the lifetime of the connection?

## Detailed Description

Network Statisics Usage.

Store Statistics information related to network usage

Definition at line 63 of file statistics.h.

## Member Function Documentation

RakNetStatistics& SLNet::RakNetStatistics::operator+= | ( | const RakNetStatistics & | other | ) |

inline

Definition at line 107 of file statistics.h.

References bytesInSendBuffer, messageInSendBuffer, NUMBER_OF_PRIORITIES, SLNet::RNS_PER_SECOND_METRICS_COUNT, runningTotal, and valueOverLastSecond.

## Member Data Documentation

uint64_t SLNet::RakNetStatistics::BPSLimitByCongestionControl

If isLimitedByCongestionControl is true, what is the limit, in bytes per second?

Definition at line 80 of file statistics.h.

Referenced by SLNet::ReliabilityLayer::GetStatistics(), and SLNet::StatisticsToString().

uint64_t SLNet::RakNetStatistics::BPSLimitByOutgoingBandwidthLimit

If isLimitedByOutgoingBandwidthLimit is true, what is the limit, in bytes per second?

Definition at line 86 of file statistics.h.

Referenced by SLNet::ReliabilityLayer::GetStatistics(), and SLNet::StatisticsToString().

uint64_t SLNet::RakNetStatistics::bytesInResendBuffer

How many bytes are waiting in the resend buffer. See also messagesInResendBuffer.

Definition at line 99 of file statistics.h.

Referenced by SLNet::StatisticsToString().

double SLNet::RakNetStatistics::bytesInSendBuffer[NUMBER_OF_PRIORITIES]

For each priority level, how many bytes are waiting to be sent out?

Definition at line 92 of file statistics.h.

Referenced by operator+=(), and SLNet::StatisticsToString().

SLNet::TimeUS SLNet::RakNetStatistics::connectionStartTime

When did the connection start?

See Also
  SLNet::GetTimeUS()

Definition at line 73 of file statistics.h.

Referenced by SLNet::StatisticsToString().

bool SLNet::RakNetStatistics::isLimitedByCongestionControl

Is our current send rate throttled by congestion control? This value should be true if you send more data per second than your bandwidth capacity

Definition at line 77 of file statistics.h.

Referenced by SLNet::ReliabilityLayer::GetStatistics().

bool SLNet::RakNetStatistics::isLimitedByOutgoingBandwidthLimit

Is our current send rate throttled by a call to RakPeer::SetPerConnectionOutgoingBandwidthLimit()?

Definition at line 83 of file statistics.h.

Referenced by SLNet::ReliabilityLayer::GetStatistics().

unsigned int SLNet::RakNetStatistics::messageInSendBuffer[NUMBER_OF_PRIORITIES]

For each priority level, how many messages are waiting to be sent out?

Definition at line 89 of file statistics.h.

Referenced by operator+=(), and SLNet::StatisticsToString().

unsigned int SLNet::RakNetStatistics::messagesInResendBuffer

How many messages are waiting in the resend buffer? This includes messages waiting for an ack, so should normally be a small value If the value is rising over time, you are exceeding the bandwidth capacity. See BPSLimitByCongestionControl

Definition at line 96 of file statistics.h.

Referenced by SLNet::RakPeer::RunUpdateCycle(), and SLNet::StatisticsToString().

float SLNet::RakNetStatistics::packetlossLastSecond

Over the last second, what was our packetloss? This number will range from 0.0 (for none) to 1.0 (for 100%)

Definition at line 102 of file statistics.h.

Referenced by SLNet::ReliabilityLayer::GetStatistics(), and SLNet::StatisticsToString().

float SLNet::RakNetStatistics::packetlossTotal

What is the average total packetloss over the lifetime of the connection?

Definition at line 105 of file statistics.h.

Referenced by SLNet::ReliabilityLayer::GetStatistics(), and SLNet::StatisticsToString().

uint64_t SLNet::RakNetStatistics::runningTotal[RNS_PER_SECOND_METRICS_COUNT]

For each type in RNSPerSecondMetrics, what is the total value over the lifetime of the connection?

Definition at line 69 of file statistics.h.

Referenced by SLNet::ReliabilityLayer::GetStatistics(), operator+=(), and SLNet::StatisticsToString().

uint64_t SLNet::RakNetStatistics::valueOverLastSecond[RNS_PER_SECOND_METRICS_COUNT]

For each type in RNSPerSecondMetrics, what is the value over the last 1 second?

Definition at line 66 of file statistics.h.

Referenced by SLNet::ReliabilityLayer::GetStatistics(), operator+=(), and SLNet::StatisticsToString().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/statistics.h